local first=true;
items1 = 0;
function mini_create ()
	show_help_wnd=true;
	init_mini(1);
	create_mini(8128);

end;
uses={}
i=0;	
		yes=false;
		myid=-1;
function gameinput (sender,id,attachedID)
MiniInterfaceHandler( sender, id );

	if sender==26 then
	
		RemoveWindow(8,2.8,"DestroyMyWindow")
	end
	if sender==30 then
	if mini_start then
			StopAllEffects()
			setstatemenu()
			StopMusic()
			mini_start=false;
		return;end
	BlockCursor(false);	
		SetCurrentLeaf("lab",12,0);
		StopEmiter("scan")
		ReturnHiddenObjects()      
		DeleteRenderTarget(2234)  					 
		leafobj={}	
		OpenPlushes()
		flags.minicomplete1=true
		flags.start_mini2=true
		flags.mini_micro=true
		flags.comics2= true;
	
	return; end;
	if sender == 777 then
	clear_satelite_leaf("lab");
	flags.start_draw = true;
	
	end
	
	if sender == 33 then		
			speciale_action(4,901)
			speciale_action(4,900)
			BlockCursor(true)
			speciale_action(2,672,true)
			speciale_action(2,673,true)		
			MiniInterfaceHandler( 33, id );		
	return; end;
		if sender == 100 then	
		if clean then
			clear_satelite_leaf("lab");
			setcurentleaf("lab",12,0);
		return; end;
		return; end;
	if sender==10 then
		BlockCursor(true)
		StartTimer(123,0.2)
			mini_start=false;
	return; end;
	
		if sender==16 then 
		if id== 672 then
			BlockCursor(false)
				CreateWindow(CWX,CWY,"666",222,nil,100,230);
		return; end;
 	return;end;	
		
	if sender==36  then 
		if id==123 then
			BlockCursor(false);
			finish_mini_game(false)
			set_visible_object(900,false)
			set_visible_object(901,false)
			ClosePlushes();
			plushes_were_closed = true;
		return; end;
	  	return;end;	

	
	if sender==1 and fcounter >=1 then
		if id >=6651 and id<=6660 then		
			set_visible_object(id,false)
			set_visible_object(id+10,false)
			speciale_action(2,id-6000,true)		
			speciale_action(4,id-6000)
			speciale_action(2,id-6000+10,true)		
			speciale_action(4,id-6000+10)
		fcounter=fcounter-1;	
			set_visible_object(id,false)
		set_pos_in_img(900,(fcounter-1)*70,0,70,60);
		playeffect("088");		
		end
		if id >=6661 and id<=6670 then	
		set_visible_object(id,false)	
		set_visible_object(id-10,false)
			speciale_action(2,id-6000,true)		
			speciale_action(4,id-6000)
			speciale_action(2,id-6000-10,true)		
			speciale_action(4,id-6000-10)
		fcounter=fcounter-1;	
		set_pos_in_img(900,(fcounter-1)*70,0,70,60);
		playeffect("088");		
		end		
		
		if fcounter==1 then
		finish_mini_game(true)
		end
		
		
		
		
	return;end;
	
	
	
	
	
end;



function mini_delete ()

end;